Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.util.collections
Interface IntIterator

    public interface IntIterator

Iterator interface for primitive int iteration. *

WARNING: This API is experimental and might change in incompatible ways in the next release.

Method Summary
`boolean` | `hasNext()`
`int` | `next()`
`void` | `remove()`

Method Detail

### hasNext

    boolean hasNext()

### next

    int next()

### remove

    void remove()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD